Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.master
Class MasterControllerConfiguration

    java.lang.Object
      com.sun.mdm.index.configurator.impl.master.MasterControllerConfiguration

All Implemented Interfaces:
  ConfigurationInfo, java.io.Serializable

public class MasterControllerConfiguration
extends java.lang.Object
implements ConfigurationInfo

Master Controller configuration

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `MASTER_CONTROLLER` Module type name

Constructor Summary
`MasterControllerConfiguration()` Creates new MasterControllerConfiguration instance

Method Summary
`int` | `finish()` Finish.
`java.lang.String` | `getModuleType()` Get module type.
`EOSearchOptions` | `getSearchOptions()` Get search options.
`java.lang.String` | `getUserLogicClass()` Get logic class.
`java.lang.String` | `getUserLogicClassGui()` Get logic class GUI.
`int` | `init()` Initialize.
`boolean` | `isMergedRecordUpdateEnabled()` Get allowed merged record update flag.
`boolean` | `isPessimisticEnabled()` Returns true if pessimistic parameter set to true in configuration.
`void` | `parse(org.w3c.dom.Node node)` Parse an XML node.
`java.lang.String` | `toString()` Returns a string representation of the MasterControllerConfiguration instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MASTER_CONTROLLER

    public static final java.lang.String MASTER_CONTROLLER

  Module type name

  See Also:
    Constant Field Values

Constructor Detail

### MasterControllerConfiguration

    public MasterControllerConfiguration()

  Creates new MasterControllerConfiguration instance

Method Detail

### finish

    public int finish()

  Finish.

  Specified by:
    `finish` in interface `ConfigurationInfo`
  Returns:
    result code.

### getModuleType

    public java.lang.String getModuleType()

  Get module type.

  Specified by:
    `getModuleType` in interface `ConfigurationInfo`
  Returns:
    module type

### getSearchOptions

    public EOSearchOptions getSearchOptions()

  Get search options.

  Returns:
    search options.

### getUserLogicClass

    public java.lang.String getUserLogicClass()

  Get logic class.

  Returns:
    logic class

### getUserLogicClassGui

    public java.lang.String getUserLogicClassGui()

  Get logic class GUI.

  Returns:
    logic class GUI.

### init

    public int init()

  Initialize.

  Specified by:
    `init` in interface `ConfigurationInfo`
  Returns:
    result code.

### isMergedRecordUpdateEnabled

    public boolean isMergedRecordUpdateEnabled()

  Get allowed merged record update flag.

  Returns:
    allow merge record update flag.

### isPessimisticEnabled

    public boolean isPessimisticEnabled()

  Returns true if pessimistic parameter set to true in configuration.

  Returns:
    true if pessimistic parameter set to true, false otherwise.

### parse

    public void parse(org.w3c.dom.Node node)
               throws ConfigurationException

  Parse an XML node.

  Specified by:
    `parse` in interface `ConfigurationInfo`
  Parameters:
    `node` - XML node starting the configuration node.
  Throws:
    `ConfigurationException` - if there is an error in parsing the configuration XML file.

### toString

    public java.lang.String toString()

  Returns a string representation of the MasterControllerConfiguration instance.

  Returns:
    string representation of the MasterControllerConfiguration instance.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.